#!/usr/bin/env python3
"""
表情分析 MCP 服务器安装脚本
"""

from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = [line.strip() for line in fh if line.strip() and not line.startswith("#")]

setup(
    name="emotion-analyzer-mcp",
    version="1.0.0",
    author="Your Name",
    author_email="your.email@example.com",
    description="MCP服务器：使用Gemma-3模型分析图像中的人物表情",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/emotion-analyzer-mcp",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
    python_requires=">=3.8",
    install_requires=requirements,
    entry_points={
        "console_scripts": [
            "emotion-analyzer-mcp=emotion_analyzer_mcp.server:main",
        ],
    },
    keywords="mcp, emotion, analysis, ai, gemma, openrouter",
    project_urls={
        "Bug Reports": "https://github.com/yourusername/emotion-analyzer-mcp/issues",
        "Source": "https://github.com/yourusername/emotion-analyzer-mcp",
        "Documentation": "https://github.com/yourusername/emotion-analyzer-mcp#readme",
    },
)